complexType "YieldCurveValuation"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 2 attributes, 11 elements
Defined: | globally in fpml-mktenv-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
definitionRef | = | xsd:IDREF
| >
Content: | objectReference?, valuationScenarioReference?, baseDate?, spotDate?, inputDataDate?, endDate?, buildDateTime?, inputs?, zeroCurve?, forwardCurve*, discountFactorCurve?
</...>

Content Model Elements (11):

  baseDate,
  buildDateTime,
  discountFactorCurve,
  endDate (defined in PricingInputDates.model group),
  forwardCurve,
  inputDataDate,
  inputs (in yieldCurveValuation),
  objectReference,
  spotDate,
  valuationScenarioReference (defined in Valuation complexType),
  zeroCurve

All Direct / Indirect Based Elements (1):

  yieldCurveValuation

Known Usage Locations

- As direct type of elements (1):
  yieldCurveValuation

Annotation
The values of a yield curve, including possibly inputs and outputs (dfs, forwards, zero rates).
Type Definition Detail

Type Derivation Tree Valuation (extension) PricingStructureValuation (extension) YieldCurveValuation

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="YieldCurveValuation"> <xsd:complexContent> <xsd:extension base="PricingStructureValuation"> <xsd:sequence> <xsd:element minOccurs="0" name="inputs" type="QuotedAssetSet"/> <xsd:element minOccurs="0" name="zeroCurve" type="ZeroRateCurve"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="forwardCurve" type="ForwardRateCurve"/> <xsd:element minOccurs="0" name="discountFactorCurve" type="TermCurve"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/11)
discountFactorCurve

  Type: | TermCurve, complex content

  A curve of discount factors.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="discountFactorCurve" type="TermCurve"/>

forwardCurve

  Type: | ForwardRateCurve, complex content

  A curve of forward rates.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="forwardCurve" type="ForwardRateCurve"/>

inputs

  Type: | QuotedAssetSet, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="inputs" type="QuotedAssetSet"/>

zeroCurve

  Type: | ZeroRateCurve, complex content

  A curve of zero rates.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="zeroCurve" type="ZeroRateCurve"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.